commit 31d73e474f4acd348a3d424c1d21b7471e8ea500
Author: freddy77 <freddy77>
Date:   Tue Mar 2 08:32:36 2010 +0000

    remove last exit calls (original patch from David Dick)

diff --git a/ChangeLog b/ChangeLog
index c7aafc9..a09665d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Mar  2 09:32:02 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/util.c:
+	- remove last exit calls (original patch from David Dick)
+
 Mon Mar  1 15:52:14 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/freeclose.c: fix FreeTDS detection
 
@@ -2341,4 +2345,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2995 2010/03/01 14:52:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2996 2010/03/02 08:32:36 freddy77 Exp $
diff --git a/src/tds/util.c b/src/tds/util.c
index 20935be..fffe149 100644
--- a/src/tds/util.c
+++ b/src/tds/util.c
@@ -65,7 +65,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: util.c,v 1.90 2010/02/07 21:56:10 jklowden Exp $");
+TDS_RCSID(var, "$Id: util.c,v 1.91 2010/03/02 08:32:36 freddy77 Exp $");
 
 void
 tds_set_parent(TDSSOCKET * tds, void *the_parent)
@@ -374,18 +374,12 @@ tdserror (const TDSCONTEXT * tds_ctx, TDSSOCKET * tds, int msgno, int errnum)
 	}
 
   
-  	assert(!(msgno != TDSETIME && rc == TDS_INT_TIMEOUT));   /* client library should prevent */
-	assert(!(msgno != TDSETIME && rc == TDS_INT_CONTINUE));  /* client library should prevent */
-	
-	if (msgno != TDSETIME) {
-		switch(rc) {
-		case TDS_INT_TIMEOUT:
-		case TDS_INT_CONTINUE:
-		 	tdsdump_log(TDS_DBG_FUNC, "exit: %s(%d) valid only for TDSETIME\n", retname(rc), rc);
-			exit(1);
-		default:
-			break;
-		}
+  	assert(msgno == TDSETIME || rc != TDS_INT_TIMEOUT);   /* client library should prevent */
+	assert(msgno == TDSETIME || rc != TDS_INT_CONTINUE);  /* client library should prevent */
+
+	if (msgno != TDSETIME && rc != TDS_INT_CANCEL) {
+		tdsdump_log(TDS_DBG_SEVERE, "exit: %s(%d) valid only for TDSETIME\n", retname(rc), rc);
+		rc = TDS_INT_CANCEL;
 	}
 
  	if (rc == TDS_INT_TIMEOUT) {

